Torna indietro   Hardware Upgrade Forum > Software > Microsoft Windows > DirectX, componenti, servizi e programmi integrati di Windows

Sacred 3: Requiem per un Action RPG
Sacred 3: Requiem per un Action RPG
Eccovi la recensione di Gamemag di Sacred 3, il capitolo della nota serie che applica una considerevole inversione di tendenza rispetto alle classiche meccaniche di gioco di Sacred.
Da Harvard uno sciame di mille robottini
Da Harvard uno sciame di mille robottini
Un'interessante dimostrazione pratica nell'ambito della robotica di sciame: 1024 robot di piccole dimensioni sono capaci di interagire e coordinarsi per realizzare forme arbitrarie
I 25 migliori videogiochi del GamesCom 2014
I 25 migliori videogiochi del GamesCom 2014
È tempo di bilanci dopo una settimana intensa e cruciale per l'industria dei videogiochi come quella del GamesCom. Folle che si scagliano contro le porte di ingresso, neanche un metro quadro libero per poter camminare tranquillamente, tanta passione e dedizione verso i videogiochi: questo, e molto altro, è il GamesCom!
Tutti gli articoli Tutte le news

Vai al Forum
Rispondi
 
Strumenti
Old 28-04-2009, 10:13   #1
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
[GUIDA] .NET Framework - Quale versione installare? - Tricks - Guide

Dato che sono frequenti richieste in merito all'installazione delle diverse versioni di .net Framework, vi riporto il quadro attuale. Leggere tutto il post prima di fare domande, grazie.

PS: Per l'installazione di Visual C++ runtime il discorso è simile, vedi dettagli in "Note secondarie e tricks"

----------------

Ultima release disponibile per Vista(SP2), Win7, Win8: :
.NET Framework 4.5 [finale]

Download Installazione via Web (~980KB): Click
Download Installazione FULL offline (~48MB): Click

Ultima release disponibile per Win XP: :
.NET Framework 4.0 [finale]

Download Installazione FULL via Web (~869KB): Click
Download Installazione FULL offline (~48MB): Click

Altre release di .NET Framework:
.NET Framework 3.5 SP1 --> Download --> Hotfix importante KB959209
.NET Framework 3.0 SP2 --> Download
.NET Framework 2.0 SP1 --> Download
.NET Framework 1.1 SP1 --> Download
.NET Framework 1.0 SP3 --> Download


----------------

Pacchetti da installare e altri dettagli sulle release


In breve, salvo condizioni particolari indicate successivamente, conviene installare nell'ordine indicato solo quanto segue a seconda del sistema operativo:
  • Windows XP SP3 -->
    • .NET Framework 3.5 SP1
    • .NET Framework 4.0
  • Windows Vista SP2 -->
    • .NET Framework 3.5 SP1
    • .NET Framework 4.5
  • Windows 7 SP1 -->
    • .NET Framework 4.5 (la 3.5 SP1 è integrata nell'OS)
  • Windows 8 -->
    • .NET Framework 3.5 SP1 (la 4.5 è integrata nell'OS)

La release 4.5 (che ha lo stesso numero di build della 4.0, è in pratica una versione aggiornata ma non strutturalmente diversa) è indipendente dalle precedenti, che possono continuare a risiedere sul sistema e vanno installate a parte nel caso siano richieste da software e driver di terze parti.
In merito alla sua retrocompatibilità, dando un'occhiata a questa whitepaper di Microsoft su Asp.Net4: http://www.asp.net/learn/whitepapers...aking-changes/
Quote:
"ASP.NET controls have been modified in the .NET Framework version 4 in order to let you specify more precisely how they render markup.
In previous versions of the .NET Framework, some controls emitted markup that you had no way to disable. By default, ASP.NET 4 this type of markup is no longer generated.
If you use Visual Studio 2010 to upgrade your application from ASP.NET 2.0 or ASP.NET 3.5, the tool automatically adds a setting to the Web.config file that preserves legacy rendering. However, if you upgrade an application by changing the application pool in IIS to target the .NET Framework 4, ASP.NET uses the new rendering mode by default. To disable the new rendering mode, add the following setting in the Web.config file:"
sembra che convenga installare comunque anche la 3.5 (con relativo service pack), in modo da garantire una buona compatibilità con applicazioni meno recenti o scritte sulla 2.0.

.NET Framework 3.5 SP1 include ed installa il service pack 1 della build 3.0, il service pack 1 della 2.0, ed è retrocompatibile con le applicazioni basate sulla 2.0 standard.

In sintesi:

Con la 4.5/4.0 e la 3.5 SP1 non è necessario installare la 3.0 e la 2.0 (e relativi service pack), mentre si dovrà installare a parte la 1.1 SP1 in caso di applicazioni obsolete che la richiedono esplicitamente e non supportano le release successive (quasi tutte le applicazioni e i driver attuali, comunque, vanno bene con 2.0 e superiori).

----------------

Verificare quale versione è installata sul proprio sistema:


- Tramite msdn blogs è disponibile un tool per la verifica delle versioni installate (dalla 1.0 alla 4.5) e di eventuali errori: .NET Framework Verification Tool
- Qui trovate una pagina automatica da aprire con Internet Explorer, se .NET Framework è installato correttamente dovreste ottenere il relativo messaggio, oltre l'indicazione sulla release individuata: SmallestDotNet (check aggiornato alla 4.0)
- In alternativa, l'utente "rеpne scasb" ha messo a disposizione uno script di controllo offline (13/04/2010: compatibile fino alla 3.5): Download
- Come terza possibilità, potete incollare questo codice nella barra degli indirizzi di Internet Explorer e premere INVIO:
Codice:
javascript:alert(navigator.userAgent)
Apparirà un box simile, tramite il quale potete verificare le varie versioni del NET attive sul vostro sistema:


----------------

Installazione, avvertenze e risoluzione problemi, disinstallazione:

  • Evitate di installare o disinstallare/riparare la 3.5 dopo aver installato la 4.0 finale.
    Nel caso abbiate già combinato il danno , tramite prompt dei comandi avviato con privilegi elevati, posizionatevi in:
    C:\Windows\Microsoft.NET\Framework\v4.0.30319\
    ed eseguite il comando:
    aspnet_regiis.exe /iru
  • Evitate di installare la 1.0 dopo aver installato la 4.0 finale.
    In questa situazione vanno disinstallate tutte le componenti della 4.0 da Pannello di controllo (Client Profile ed Extended), installata la 1.0 e nuovamente la 4.0
  • Se è impossibile installare la 3.5 su Windows 8 (errore 0x800F0922 o altri) lanciare questo comando dal prompt (avviato con privilegi elevati):
    dism /online /cleanup-image /restorehealth
    Successivamente avviare l'installazione del net 3.5 dal pannello di controllo di Windows (Attivazione e rimozione delle funzionalità Windows).
    Se il problema non si risolve, provare ad installarlo sfruttando i file del dvd d'installazione di Win8:
    - aprire il promt, sempre con privilegi elevati, e dare questo comando:
    Codice:
    DISM /Online /Enable-Feature /FeatureName:NetFx3 /All /LimitAccess /Source:E:\sources\sxs
    dove E: è la lettera del drive in cui è stato inserito il dvd (o la lettera del drive virtuale se si è montata l'iso).
  • Se avete installato la 4.5 ma determinati software richiedono comunque la build 4.0.30319, disinstallatela e utilizzate la 4.0 (ha lo stesso numero principale di build), vedi QUI per dettagli
  • In caso di errori relativi all'installazione della 2.0 sulla 1.0/1.1 provare a rinominare con nome a caso la cartella C:\windows\assembly come suggerito in QUESTO post o la cartella c:\windows\Microsoft.NET\assembly come suggerito QUI
  • Se insorgono problemi o errori durante il setup di .NET Framework o l'aggiornamento di versione preinstallate, utilizzare la funzione di ripristino integrata (basta avviare la disinstallazione da Programmi e Funzionalità e scegliere di riparare anzichè disinstallare):
  • Se la riparazione del NET non risolve i problemi di installazione aggiornamenti o altro, provare a disinstallare le versioni precedenti da Pannello di Controllo ed avviare il seguente tool: .NET Framework Cleanup Tool (Link alternativo)
    Assicurarsi inoltre che non siano presenti voci relative all'installer msi del framework con questa utility: Windows Installer CleanUp
  • Se Windows Update riproponge aggiornamenti già installati di Net Framework o altri, provare ad eliminare la cronologia del servizio e registrare nuovamente le dll, creando un bat con questo contenuto e avviandolo:
    Codice:
    net stop wuauserv 
    rmdir %windir%\softwaredistribution /s /q  
    regsvr32 /s wuaueng.dll 
    regsvr32 /s wuaueng1.dll 
    regsvr32 /s atl.dll 
    regsvr32 /s wups.dll 
    regsvr32 /s wups2.dll 
    regsvr32 /s wuweb.dll 
    regsvr32 /s wucltui.dll 
    net start wuauserv

----------------

Note secondarie e tricks:
  • Integrazione .Net Framework 3.5sp1 in ISO Windows XP: Click
  • Per il .Net 4.0 sono disponibili due pacchetti:
    - Full
    - Client Profile
    Questo articolo sul blog di MSDN chiarisce meglio l'argomento: Leggi
    In particolare, date un'occhiata alla voce "What’s in and what’s not included in the Client Profile"

    Il Client Profile è una versione adattata per workstation e client desktop su cui non è necessario sviluppare applicazioni ASP.NET e utilizzare alcune possibilità di sviluppo del .net. Niente di che insomma, in ambiente domestico il Client Profile basta, ecco perchè Windows Update propone quello.
    Se invece siete soliti installarlo da voi non fatevi grossi problemi e scaricate il Full, si tratta appunto di pochi MB in più
  • Le versioni Full per l'installazione offline del .Net tentano di connettersi alla rete per scaricare eventuali hotfix e language packs, ma basta ignorare quella fase e attendere: il processo viene comunque portato a termine (salvo necessità di sviluppare software basato su Net e ASPcon lingua specifica, i pacchetti per le lingue possono essere trascurati).

    Se è impossibile portare a termine l'installazione, probabilmente vanno cercate altre cause, non la mancanza della connessione.
    Il punto è che l'installazione cerca di scaricare il relativo language pack (che non è incluso nel pacchetto full), ma il setup è stato impostato in questo modo da Microsoft:
    1. connessione presente: viene scaricato il language pack e l'installazione viene portata a termine;
    2. errori vari: è impossibile completare l'installazione;
    3. connessione assente: il setup mostra un avvertimento, ma l'installazione viene comunque portata a termine e il net viene installato in inglese
    La conferma è qui: http://blogs.msdn.com/b/astebner/arc...7/8745415.aspx
    Quote:
    Note - .NET Framework 3.5 and VS 2008 Express Edition setups are configured to not fail if they are unable to connect to the Internet to check for a new instance of setup. That means that the above steps are not required in order to allow setup to succeed in offline scenarios, but these steps are required if you want to avoid any attempts to connect to the Internet during .NET Framework 3.5 setup.
    Per tagliare la testa al toro, potete fare questa prova.
    Avviate il setup da prompt dei comandi, utilizzando il parametro /lang:ENU.
    Ad esempio, se avete dotnetfx35setup.exe in C:\, date:
    Codice:
    dotnetfx35setup.exe /lang:ENU
    In questo modo non verranno scaricati language pack, se non riuscirete ancora ad installarlo date un'occhiata al log perchè probabilmente ci saranno altri errori o problemi.
  • Come comportarsi con l'installazione di Visual C++ runtime: Click

Ultima modifica di ezio : 13-06-2014 alle 10:27. Motivo: aggiornati screen
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 15-05-2009, 11:37   #2
Seangel
Senior Member
 
L'Avatar di Seangel
 
Iscritto dal: Mar 2002
Messaggi: 1685
Grande Ezio

Ottimo Post ....
__________________
Core I7 950 - Asrock X58 Deluxe3 1.80 - 2*3 GB Ram Corsaire - ASUS Ati 5850 1GB - RAID 0 (2HDD WESTERN DIGITAL) - Monitor VW224T - 2 ASUS DRW-22B2ST - Win 7 Pro 64 Bit
Seangel è offline   Rispondi citando il messaggio o parte di esso
Old 15-06-2009, 10:53   #3
FulValBot
Senior Member
 
L'Avatar di FulValBot
 
Iscritto dal: Oct 2007
Città: Roma
Messaggi: 6071
uhm almeno non dovrò impazzirmi co sto maledetto net
FulValBot è offline   Rispondi citando il messaggio o parte di esso
Old 10-07-2009, 19:17   #4
sinfoni
Senior Member
 
L'Avatar di sinfoni
 
Iscritto dal: Jan 2007
Città: Catania
Messaggi: 7772
Grazie anche da parte mia, vista che ignoravo l'esistenza del NET framework..
__________________
Case CM-690II Advanced Mobo Asrock P67 Extreme6 B3 Cpu i5 2500K Ram G.Skill Ripjaws-X F3-12800 Vga Asus GT640-DCSL-2GD3 SSD Crucial C300 64GB Psu Seasonic X-650 Monitor LG Flatron IPS235P OS Ubuntu 14.04 Ita LTS
sinfoni è offline   Rispondi citando il messaggio o parte di esso
Old 11-07-2009, 10:58   #5
FulValBot
Senior Member
 
L'Avatar di FulValBot
 
Iscritto dal: Oct 2007
Città: Roma
Messaggi: 6071
cmq qualche mio amico deve disinstallarlo ma non riesce xkè viene un errore (questo su xp sp2)
FulValBot è offline   Rispondi citando il messaggio o parte di esso
Old 11-07-2009, 11:08   #6
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
Dovresti dare maggiori informazioni (codice errore, eventualmente uno screen), altrimenti è difficile vedere cosa si può fare
PS: perchè disinstallarlo?
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 12-07-2009, 11:01   #7
FulValBot
Senior Member
 
L'Avatar di FulValBot
 
Iscritto dal: Oct 2007
Città: Roma
Messaggi: 6071
non riesce a installare quello 3.5 sp1 quindi bisogna trovare un modo... e l'unico è quello di reinstallarli tutti da capo o magari direttamente il 3.5 sp1 (almeno da qualche parte avevo letto che era retrocompatibile, spero sia realmente così)

solo che prima andrebbero rimossi, ma gli dà un errore. vedrò stasera di farmelo dire.
FulValBot è offline   Rispondi citando il messaggio o parte di esso
Old 12-07-2009, 11:25   #8
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
Il fatto che sia retrocompatibile è sicuro, è scritto nel primo post
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 14-07-2009, 20:48   #9
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
Aggiunto qualche suggerimento sulla risoluzione dei problemi relativi all'installazione
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 15-07-2009, 09:28   #10
FulValBot
Senior Member
 
L'Avatar di FulValBot
 
Iscritto dal: Oct 2007
Città: Roma
Messaggi: 6071
io sto ancora aspettando che quel mio amico se decida a dirme l'errore che gli viene disinstallandolo
FulValBot è offline   Rispondi citando il messaggio o parte di esso
Old 16-07-2009, 07:45   #11
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
Noi siamo qui, in ogni caso gli farei provare direttamente i tool che ho inserito nel primo post, soprattutto .NET Framework Cleanup Tool
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 13-08-2009, 15:32   #12
paolocorpo
Senior Member
 
L'Avatar di paolocorpo
 
Iscritto dal: Dec 2008
Messaggi: 464
Risolto! o almeno per il momento sono arrivato alla 3.0 passando dalla 1.0 e poi dalla 2.0

Nel mio caso ho risolto rinominando (in qualsisi modo non importa) la cartella: C:\windows\assembly
L'errore 25015 che avevo infatti durante la installazione della 2.0 è svanito e la sua installazione è giunta finalmente al termine

Ora passo alla 3.5 e quindi alla 3.5 SP1
__________________
SE non uccide ... fortifica !! || CPU INTEL Core 2 Duo E8400 3GHz 6MB sSpec SLB9J -> step E0 MB ASUS 775 P5Q SE RAM CORSAIR/GSKILL DDR2 800Mhz PC6400 CL4 tot 4X2GB CASE COOLER MASTER Sileo 500 RC-500 ALI Corsair CMPSU-550VXEU 550W SK VIDEO ATI HD7870 Sapphire 2GB DDR5 HD Seagate 160Gb ST3160815AS 7200rpm 8Mb 7200.10 q.ty 2 + Seagate 250Gb ST3250310AS 7200rpm 8MB 7200.10 + Seagate 1000Gb ST31000528AS 7200rpm 32MB 7200.12 MONITOR FUJITSU-SIEMENS Amilo Display XL 3220W , 2ms, Speaker integrati
paolocorpo è offline   Rispondi citando il messaggio o parte di esso
Old 09-09-2009, 00:28   #13
ScoreUnderscore
Senior Member
 
Iscritto dal: Nov 2004
Città: Campobasso
Messaggi: 377
Ho Xp e, dopo formattazione, ho installato la 3.5. Ora mi rimane da installare la 1.1, non fa nulla che l'ordine cronologico è inverito? Penso di no, WinUpdate continua a darmi l'aggiornmento 1.1 disponibile...
Mi sbaglio?
ScoreUnderscore è offline   Rispondi citando il messaggio o parte di esso
Old 10-09-2009, 07:40   #14
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
Non ti sbagli.
PS: accertati di installare il service pack della 1.1, e usa quest'ultima solo se ti serve veramente
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 10-09-2009, 10:08   #15
lupin87
Bannato
 
Iscritto dal: May 2007
Città: Bari
Messaggi: 4575
salve a tutti,ho un problema con un applicazione che utilizza il dot net framework 2.0:su win xp pro sp3 a 32 bit l' applicazione funziona(chiaramente dopo aver installato il dot net framework 2.0);su windows vista x64 sp1 e windows 7 rtm x64 l' applicazione non funziona:
1)qualcuno ha avuto un problema simile?
2)come faccio a vedere se su windows 7 rtm è installato oppure no il service pack 1 del dot net framework 3.5.1?
3)il dot net framework 3.5 e 3.5 sp1 includono il dot net framework 2.0?
lupin87 è offline   Rispondi citando il messaggio o parte di esso
Old 10-09-2009, 12:06   #16
ezio
Moderatore
 
L'Avatar di ezio
 
Iscritto dal: Apr 2001
Città: Giovinazzo(BA) ...bella città, riso patat e cozz a volontà!
Messaggi: 27896
Trovi tutte le risposte nel primo post.
Per il problema specifico dell'applicazione, prova a impostare la compatibilità con XP, altrimenti apri un thread specifico nella sezione Programmi e Utility
ezio è offline   Rispondi citando il messaggio o parte di esso
Old 10-09-2009, 14:22   #17
lupin87
Bannato
 
Iscritto dal: May 2007
Città: Bari
Messaggi: 4575
Quote:
Originariamente inviato da ezio Guarda i messaggi
Trovi tutte le risposte nel primo post.
Per il problema specifico dell'applicazione, prova a impostare la compatibilità con XP, altrimenti apri un thread specifico nella sezione Programmi e Utility
allora ho già provato con la compatibilità con windows xp,l' applicazione poi è rara...
lupin87 è offline   Rispondi citando il messaggio o parte di esso
Old 14-09-2009, 12:01   #18
Sultan82
Junior Member
 
Iscritto dal: Feb 2008
Messaggi: 21
EDIT: http://www.hwupgrade.it/forum/showpo...68&postcount=8

Ultima modifica di ezio : 14-09-2009 alle 14:31. Motivo: evita il crossposting
Sultan82 è offline   Rispondi citando il messaggio o parte di esso
Old 14-09-2009, 18:29   #19
torrent
Senior Member
 
L'Avatar di torrent
 
Iscritto dal: Mar 2007
Messaggi: 3117
Quote:
Originariamente inviato da Sultan82 Guarda i messaggi
Quote:
Originariamente inviato da Sultan82 Guarda i messaggi
...per installare il suddetto framwork senza la connessione ad internet.
Io risolsi
Quote:
Originariamente inviato da torrent Guarda i messaggi
torrent è offline   Rispondi citando il messaggio o parte di esso
Old 25-09-2009, 11:24   #20
ale_gallagher
Senior Member
 
L'Avatar di ale_gallagher
 
Iscritto dal: Nov 2008
Messaggi: 688
Ciao ragazzi!

nel sistema in firma monto la versione 2.0. Siccome non me ne intendo minimamente, mi consigliate di installare la 3.5?

Inoltre ho un altro pc vecchio (un pentium 3 800MHz), e non mi pare sia installato nulla li, infatti un'applicazione per funzionare ha richiesto di installarlo. tale applicazione non mi è indispensabile, ma per un futuro è meglio installarlo?

Ultima modifica di ale_gallagher : 25-09-2009 alle 11:43.
ale_gallagher è offline   Rispondi citando il messaggio o parte di esso
 Rispondi


Sacred 3: Requiem per un Action RPG Sacred 3: Requiem per un Action RPG
Da Harvard uno sciame di mille robottini Da Harvard uno sciame di mille robottini
I 25 migliori videogiochi del GamesCom 2014 I 25 migliori videogiochi del GamesCom 2014
Nokia Lumia 930, l'ultimo top di gamma del produttore finlandese Nokia Lumia 930, l'ultimo top di gamma del produ...
Fifa 15, hands-on: il primo Fifa di nuova generazione Fifa 15, hands-on: il primo Fifa di nuova genera...
Kodak pensiona un'altra pellicola: oggi ...
Primi benchmark di Galaxy Note 4: risult...
McDonald's: ordinazioni via mobile e nuo...
Skype: notifiche in arrivo solo sul disp...
Pirateria dilagante su Google: record di...
Giochi su PC: il 92% delle vendite avvie...
Buoni segnali dal mercato dei PC secondo...
Nuove CPU AMD FX sul mecato dal 1 Settem...
Hasselblad H5D-200c Multi-Shot, fino a 2...
iPad Air: finalmente 2GB di RAM nella pr...
LG annuncia L Bello e L Fino, in mostra ...
Sono sempre più popolari i tablet con fu...
Secondo RBC Intel dovrebbe acquisire Med...
Google introduce le foto panoramiche a 3...
Samsung Galaxy Note 4: fra gli accessori...
SmartFTP
PassMark BurnInTest Standard
PassMark BurnInTest Professional
Process Lasso
SpeedFan
Alcohol 120%
OutlookAttachView
Glary Utilities
LibreOffice 4.3.1
Windows 7 Manager
NOD32
Dropbox
iTunes 11
Norton Antivirus 2014
WinRAR
Tutti gli articoli Tutte le news Tutti i download

Strumenti

Regole
Non Puoi aprire nuove discussioni
Non Puoi rispondere ai messaggi
Non Puoi allegare file
Non Puoi modificare i tuoi messaggi

Il codice vB è On
Le Faccine sono On
Il codice [IMG] è On
Il codice HTML è Off
Vai al Forum


Tutti gli orari sono GMT +2. Ora sono le: 08:48.


Powered by vBulletin® Version 3.6.4
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Served by www6v